Follow a continuous feed of all data input data points.
Your first call to this endpoint will provide you with the most recent data points for each data input and a pagination object that contains an endCursor.
You can provide the endCursor to the after parameter of this endpoint to get data point updates since that endCursor.
If hasNextPage is false, no updates are readily available yet. We suggest waiting a minimum of 5 seconds before requesting updates.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Equipment Statistics under the Equipment category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/industrial/data-inputs/data-points/feed \
--header 'Authorization: Bearer <token>'{
"data": [
{
"assetId": "74771078-5edb-4733-88f2-7242f520d1f1",
"dataGroup": "Flow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Pump Flow",
"units": "Gallons Per Minute",
"fftSpectraPoints": [
{
"fftSpectra": {
"frequencies": [
123
],
"x": [
123
],
"y": [
123
],
"z": [
123
]
},
"time": "2020-01-27T07:06:25Z"
}
],
"j1939D1StatusPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": [
{
"amberLampStatus": 123,
"fmi": 123,
"milStatus": 123,
"occuranceCount": 123,
"protectLampStatus": 123,
"redLampStatus": 123,
"spn": 123,
"txId": 123
}
]
}
],
"locationPoints": [
{
"gpsLocation": {
"formattedAddress": "350 Rhode Island St, San Francisco CA, 94103",
"gpsMetersPerSecond": 35.5,
"headingDegrees": 91.2,
"latitude": 42.44817,
"longitude": -71.224716,
"place": {
"city": "San Francisco",
"houseNumber": "350",
"neighborhood": "Castro",
"poi": "400",
"postcode": "94103",
"state": "CA",
"street": "Rhode Island"
}
},
"time": "2020-01-27T07:06:25Z"
}
],
"numberPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": 1992.0506
}
],
"stringPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": "On"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678
A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678
A comma-separated list of data input IDs. Example: dataInputIds=1234,5678
A comma-separated list of industrial asset UUIDs. Example: assetIds=076efac2-83b5-47aa-ba36-18428436dcac,6707b3f0-23b9-4fe3-b7be-11be34aea544
curl --request GET \
--url https://api.samsara.com/industrial/data-inputs/data-points/feed \
--header 'Authorization: Bearer <token>'{
"data": [
{
"assetId": "74771078-5edb-4733-88f2-7242f520d1f1",
"dataGroup": "Flow",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Pump Flow",
"units": "Gallons Per Minute",
"fftSpectraPoints": [
{
"fftSpectra": {
"frequencies": [
123
],
"x": [
123
],
"y": [
123
],
"z": [
123
]
},
"time": "2020-01-27T07:06:25Z"
}
],
"j1939D1StatusPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": [
{
"amberLampStatus": 123,
"fmi": 123,
"milStatus": 123,
"occuranceCount": 123,
"protectLampStatus": 123,
"redLampStatus": 123,
"spn": 123,
"txId": 123
}
]
}
],
"locationPoints": [
{
"gpsLocation": {
"formattedAddress": "350 Rhode Island St, San Francisco CA, 94103",
"gpsMetersPerSecond": 35.5,
"headingDegrees": 91.2,
"latitude": 42.44817,
"longitude": -71.224716,
"place": {
"city": "San Francisco",
"houseNumber": "350",
"neighborhood": "Castro",
"poi": "400",
"postcode": "94103",
"state": "CA",
"street": "Rhode Island"
}
},
"time": "2020-01-27T07:06:25Z"
}
],
"numberPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": 1992.0506
}
],
"stringPoints": [
{
"time": "2020-01-27T07:06:25Z",
"value": "On"
}
]
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}